Skip to content

List my catalog entry users

Request

OAuth 2.0 scope:
  • okta.accessRequests.request.read

Lists all users who match the filtered query and can also view and request the entry.

The filter query parameter is mandatory for this operation. A list of users is returned if:

  • the entry has the requestOnBehalfOfSettings enabled
  • the authorized user is able to request on behalf of other users

Examples

Request examples:

  1. Filter users with a last name that starts with "Smi"
    /governance/api/v2/my/catalogs/default/entries/{entryId}/users?filter=lastName%20sw%20%22Smi%22
  2. Filter for users with a first name that begins with "John"
    /governance/api/v2/my/catalogs/default/entries/{entryId}/users?filter=firstName%20sw%20%22John%22
  3. Search for users with a first or last name that begins with "John"
    /governance/api/v2/my/catalogs/default/entries/{entryId}/users?filter=firstName%20sw%20%22John%22%20OR%20lastName%20sw%20%22John%22
Path
entryIdstring, = 20 characters(catalog-entry-id)required

Unique identifier for the catalog entry

Example:cenp2rjyxK1Js2Fc41d5
Query
filterstring, (scim-filter)required

A required filter expression that returns users based on the firstName or lastName properties. This filter expression supports the sw operator.

Note: Query parameter percent encoding is required. See Special characters.

Example:filter=firstName sw "John" OR lastName sw "John"
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
GET
/governance/api/v2/my/catalogs/default/entries/{entryId}/users
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/my/catalogs/default/entries/cenp2rjyxK1Js2Fc41d5/users?filter=firstName%20sw%20%22John%22%20OR%20lastName%20sw%20%22John%22&after=00u68w6vzKLultXS97g6&limit=20'

Responses

List of all requesters who may be able to request the entry

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(entry-user)

Catalog entry users list

Response
Lists all users who may be requesters for the entry that the authorized user could request on behalf of
{ "data": [ {}, {}, {}, {}, {}, {} ], "_links": { "self": {} } }